/**
 * 页面共用方法js
 */

/**
 * 加载年度
 * tableName:数据表名称
 * selectId:select标签id
 */
function loadYears(selectId,tableName){
	if(tableName!=null&&tableName!=""){
		$.ajax({
			type:"Post",
			url:"../comment/loadYears.service",
			data:{ 
				"tableName":tableName
			},
			dataType:"json",
			success:function(data){
				var str = ''; 
				if(tableName!="zzy_sg"){
					str +='<option value="">全部年度</option>'
				}
				$.each(data.list,function(i,item){
					str +='<option value="'+item.year+'" >'+item.year+'年</option>'
				})
				$("#"+selectId).html(str);
			}
		});	
	}else{
		var year = formatDate().substring(0,4);
		var str = '';
		for(var i=8;i--;i>0){
			if (year < 2019){
				continue;
			}
			str += '<option value="'+year+'">'+year+'年</option>'
			year--;
		}
		$("#"+selectId).html(str);
		var year=getQueryVariable("year");
		if(year){
			$("#"+selectId).val(year);
		}else{

			var mouth = parseInt(formatDate().substring(5,7))
			if(mouth < 7){
				$("#"+selectId).find("option").eq(2).prop("selected",true);
			}else{
				$("#"+selectId).find("option").eq(1).prop("selected",true);
			}

		}
	}
	
}
